Bug 634388 - Review Request: python-chameleon - XML-based template compiler
Summary: Review Request: python-chameleon - XML-based template compiler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 674682 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-16 01:24 UTC by Toshio Ernie Kuratomi
Modified: 2011-02-03 02:14 UTC (History)
4 users (show)

Fixed In Version: python-chameleon-1.2.12-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-28 05:49:10 UTC
robinlee.sysu: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Information of failed tests (4.39 KB, text/plain)
2010-09-18 02:59 UTC, Robin Lee
no flags Details

Description Toshio Ernie Kuratomi 2010-09-16 01:24:39 UTC
Spec URL: http://toshio.fedorapeople.org/packages/python-chameleon.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-chameleon-1.2.12-1.fc13.src.rpm

Description:
Chameleon is an XML attribute language template compiler. It comes with
implementations for the Zope Page Templates (ZPT) and Genshi templating
languages.

The engine compiles templates into Python byte-code. This results in
performance which is on average 10-15 times better than implementations which
use run-time interpretation.

Comment 1 Robin Lee 2010-09-16 09:07:10 UTC
* html/_sources/ should also be removed.

* I would prefer not to include extra requirements. But that is not a blocker.

rpmlint result:
$ rpmlint ./python-chameleon-1.2.12-1.fc14.noarch.rpm ../../SPECS/python-chameleon.spec ../../SRPMS/python-chameleon-1.2.12-1.fc13.src.rpm 
python-chameleon.noarch: W: spelling-error %description -l en_US templating -> contemplating, template's, template
python-chameleon.noarch: W: no-manual-page-for-binary i18nize
python-chameleon.src: W: spelling-error %description -l en_US templating -> contemplating, template's, template
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 2 Toshio Ernie Kuratomi 2010-09-17 00:12:05 UTC
html/_sources is actually used by the documentation.  For instance, if you browse 
file:///usr/share/doc/python-chameleon-1.2.12/html/index.html
There's a link in the left sidebar for Show Source.  That takes you to the source file in _sources/.

Comment 3 Toshio Ernie Kuratomi 2010-09-17 03:32:18 UTC
Spec URL: http://toshio.fedorapeople.org/packages/python-chameleon.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-chameleon-1.2.12-2.fc13.src.rpm

- Add a patch so we can run with newer versions of the optional deps

Comment 4 Robin Lee 2010-09-18 02:59:18 UTC
Created attachment 448162 [details]
Information of failed tests

Two tests fail with Python 2.7 on Fedora 14.

It is not a matter of the versions of its dependencies. I ran the tests in a clean environment, the same failure would still occur.

Comment 5 Toshio Ernie Kuratomi 2010-09-18 06:07:57 UTC
It looks like python-2.7 changes the exceptions that ElementTree returns (we ran into this in pyhton-formencode as well).  New packages with a patch that's only applied on Fedora-14+ to fix this.

Spec URL: http://toshio.fedorapeople.org/packages/python-chameleon.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-chameleon-1.2.12-3.fc13.src.rpm

Comment 6 Robin Lee 2010-09-18 08:35:30 UTC
Good:
* Package named according to the packaging guidelines
* Spec matches package name
* spec file readable
* Source matches upstream
* No locale specific files
* Not a shared library
* No bundled libraries
* Not relocatable
* Owns the files and directories it creates and nothing more
* Permissions set properly
* Consistent use of macros
* code, not content.
* Not a GUI
* All filenames UTF-8
* builds in koji
* License is BSD in source and spec

NEEDWORK:
* /usr/lib/python2.7/site-packages/chameleon/ast/COPYING must be moved to
  /usr/share/doc/python-chameleon-1.2.12/ast

Comment 7 Toshio Ernie Kuratomi 2010-09-18 15:54:32 UTC
Spec URL: http://toshio.fedorapeople.org/packages/python-chameleon.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-chameleon-1.2.12-4.fc13.src.rpm

%{python_sitelib}/chameleon/ast/COPYING moved to COPYING.ast in /usr/share/doc/python-chameleon-1.2.12

Comment 8 Robin Lee 2010-09-19 01:09:47 UTC
This package is approved by 'cheeselee'.

Comment 9 Toshio Ernie Kuratomi 2010-09-19 05:51:46 UTC
Thank you!

New Package SCM Request
=======================
Package Name: python-chameleon
Short Description: XML-based template compiler
Owners: toshio lmacken
Branches: f13 f14
InitialCC:

Comment 10 Robin Lee 2010-09-19 06:20:38 UTC
You forget to set fedora-cvs flag.

Comment 11 Kevin Fenzi 2010-09-19 19:26:44 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2010-09-19 20:01:15 UTC
python-chameleon-1.2.12-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-chameleon-1.2.12-4.fc14

Comment 13 Fedora Update System 2010-09-20 18:40:16 UTC
python-chameleon-1.2.12-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-chameleon'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-chameleon-1.2.12-4.fc14

Comment 14 Fedora Update System 2010-09-28 05:49:05 UTC
python-chameleon-1.2.12-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Robin Lee 2011-02-03 02:14:37 UTC
*** Bug 674682 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.